# This is the Gradle build system for JVM applications
# https://gradle.org/
# https://github.com/gradle/gradle
image: gradle

# Disable the Gradle daemon for Continuous Integration servers as correctness
# is usually a priority over speed in CI environments. Using a fresh
# runtime for each build is more reliable since the runtime is completely
# isolated from any previous builds.
variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"

before_script:
  - export GRADLE_USER_HOME=`pwd`/.gradle
  - mkdir -p /home/gradle/.m2/repository/org/bukkit/craftbukkit/1.12.2-R0.1-SNAPSHOT && cp CustomBooks-Bukkit/craftbukkit-1.12.2-R0.1-SNAPSHOT.jar /home/gradle/.m2/repository/org/bukkit/craftbukkit/1.12.2-R0.1-SNAPSHOT/craftbukkit-1.12.2-R0.1-SNAPSHOT.jar

1.12.2:
  stage: build
  script: gradle cleanBuildPublish
  artifacts:
    paths:
      - CustomBooks-Bukkit/build/libs/*.jar
      - CustomBooks-Sponge/build/libs/*.jar
  cache:
    key: "$CI_COMMIT_REF_NAME"
    policy: push
    paths:
      - build
      - .gradle


test:
  stage: test
  script: gradle check
  cache:
    key: "$CI_COMMIT_REF_NAME"
    policy: pull
    paths:
      - build
      - .gradle